package com.fs.sop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.common.annotation.DataSource;
import com.fs.common.enums.DataSourceType;
import com.fs.sop.domain.QwSopTag;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * sop打标签Mapper接口
 *
 * @author fs
 * @date 2025-02-20
 */
@DataSource(DataSourceType.SOP)
public interface QwSopTagMapper extends BaseMapper<QwSopTag>{
    /**
     * 查询sop打标签
     *
     * @param id sop打标签主键
     * @return sop打标签
     */
    QwSopTag selectQwSopTagById(Long id);

    /**
     * 查询sop打标签列表
     *
     * @param qwSopTag sop打标签
     * @return sop打标签集合
     */
    List<QwSopTag> selectQwSopTagList(QwSopTag qwSopTag);

    /**
     * 新增sop打标签
     *
     * @param qwSopTag sop打标签
     * @return 结果
     */
    int insertQwSopTag(QwSopTag qwSopTag);

    /**
     * 修改sop打标签
     *
     * @param qwSopTag sop打标签
     * @return 结果
     */
    int updateQwSopTag(QwSopTag qwSopTag);

    /**
     * 删除sop打标签
     *
     * @param id sop打标签主键
     * @return 结果
     */
    int deleteQwSopTagById(Long id);

    /**
     * 批量删除sop打标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQwSopTagByIds(Long[] ids);
    @Select("select * from qw_sop_tag where status=1 and send_time > NOW() ")
    List<QwSopTag> selectQwSopTagByStatus1();

}
